#
# spec file for package tar (Version 1.25)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tar
BuildRequires:  help2man
Url:            http://www.gnu.org/software/tar/
License:        GPLv3+
Group:          System/Base
Provides:       base:/bin/tar
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        1.25
Release:        1
Summary:        GNU implementation of tar ((t)ape (ar)chiver)
Source0:        %name-%version.tar.bz2
#
Patch0:         tar-disable_languages.patch
Patch1:         tar-disable-listed02-test.patch
Patch2:         tar-manpage.patch
Patch3:         tar-wildcards.patch
Patch5:         tar-fortifysourcessigabrt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     xz
Recommends:     tar-lang = %version
%define _bindir  /bin

%description
This package normally also includes the program "rmt", which provides
remote tape drive control. Since there are compatible versions of 'rmt'
in either the 'star' package or the 'dump' package, we didn't put 'rmt'
into this package. If you are planning to use the remote tape features
provided by tar you have to also install the 'dump' or the 'star'
package.



Authors:
--------
    Melissa O'Neill <oneill@cs.sfu.ca>
    Bruno Haible <haible@clisp.cons.org>
    Dale Worley <worley@ariadne.com>
    David J. MacKenzie <djm@gnu.org>
    Franois Pinard <pinard@iro.umontreal.ca>
    Gerhard Poul <gpoul@gnu.org>
    Jay Fenlason <hack@ai.mit.edu>
    Jeff Dairiki <dairiki@dairiki.org>
    Jim Kingdon <kingdon@ai.mit.edu>
    Joy Kendall <jak@hobbes>
    Machael Stone <mstone@cs.loyola.edu>
    Michael I Bushnell <mib@gnu.org>
    Noah Friedman <friedman@gnu.org>
    Paul Eggert <eggert@twinsun.com>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    The King <elvis@gnu.org>
    Tom Tromey <tromey@drip.colorado.edu>


%package backup-scripts
License:        GPLv3+
Summary:        Backup scirpts
Group:          Productivity/Archiving/Backup
Requires:       %{name} = %{version}-%{release}

%description backup-scripts
Shell scripts for system backup/restore

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1

%build
rm -f po/no.* po/ky.*
#autoreconf -fi
aclocal -I m4
automake --force --add-missing
%define my_cflags -W -Wall -Wpointer-arith -Wstrict-prototypes -Wformat-security -Wno-unused-parameter
export CFLAGS="$RPM_OPT_FLAGS %my_cflags"
export RSH="/usr/bin/rsh"
./configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--mandir=%_mandir \
	--infodir=%_infodir \
	--build=%{_target_cpu}-suse-linux \
	--enable-backup-scripts \
	--disable-silent-rules
make %{?_smp_mflags};

%check
#%ifarch %arm
#make check || true
#%else
#make check
#%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m 644 scripts/backup-specs $RPM_BUILD_ROOT%{_sysconfdir}/backup-specs
rm -r %buildroot/usr/libexec
%find_lang %name

%files lang -f %name.lang

%files backup-scripts
%defattr(-,root, root)
%_sbindir/backup  
%_sbindir/restore  
%config(noreplace) %{_sysconfdir}/backup-specs  

%files
%defattr(-, root, root)
%_bindir/tar
%doc README* ABOUT-NLS AUTHORS COPYING NEWS THANKS ChangeLog TODO
%_infodir/tar.info*.gz
%_mandir/man1/tar.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
